
%-------------------------------------------------------------------------------
%   Computes eclipses.
%-------------------------------------------------------------------------------
%   Form:
%   [n, eclipseType] = Eclipse( rSC, rSource, rPlanet, radiusPlanet, radiusSource )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   rSC             (3,:)      Position vector of the spacecraft
%   rSource         (3,: or 1) Position vector of the light source
%   rPlanet         (3,: or 1) Position vector of the planet causing the eclipse
%                              (default is zeros)
%   radiusPlanet    (1,1)      Radius of the planet causing the eclipse 
%                              (default is the earth)
%   radiusSource    (1,1)      Radius of the light source (default is the sun)
%
%   -------
%   Outputs
%   -------
%   n               (1,:)      Normalized Source intensity ( 0 < n < 1 )
%   eclipseType     (1,:)      0 = none 1 = partial, 2 = annular 3 = total
%
%-------------------------------------------------------------------------------