
%-------------------------------------------------------------------------------
%   Compute the period for any orbit.
%   You can specify a semi-major axis or a Cartesian position. The default
%   central body is the Earth.
%-------------------------------------------------------------------------------
%   Form:
%   p = Period( a, mu )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   a            (1,1) or (6,1)  Semi-major axis (is inf for a parabola and -
%                                for a hyperbola) or [x;y;z;vX;vY;vZ]
%   mu           (1,1)           Gravitational parameter (default = 3.98600436e5)
%
%   -------
%   Outputs
%   -------
%   p            (1,1)           Period
%
%-------------------------------------------------------------------------------