
%--------------------------------------------------------------------------
%   Generate a quaternion that points a body vector uB towards nadir.
%   The input is the orbit vectors (r,v).
%--------------------------------------------------------------------------
%   Usages:
%   qIB       = QNadirPoint( r, v, uB )
%--------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   r           (3,n) Position vectors of an orbit
%   v           (3,n) Velocity vectors of an orbit
%   uB          (3,1) Body unit vector
%
%   -------
%   Outputs
%   -------
%   qIB         (4,n) Inertial-to-Body quaternions that point uB to nadir
%
%--------------------------------------------------------------------------