
%-------------------------------------------------------------------------------
%   Transforms a vector opposite the direction of the quaternion.
%   If the number of columns of q is 1 it will transform all of the vectors
%   by that q. If it is greater than 1 it will transform each column of ua
%   by the corresponding column of q. If the number of columns of q is > 1
%   and the number of columns of ua is 1 it will create one column of ub
%   for every column of q.
%-------------------------------------------------------------------------------
%   Form:
%   ub = QTForm( q, ua )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   q              (4,n or 1)  quaternion from a to b
%   ua             (3,n or 1)  vector in b
%
%   -------
%   Outputs
%   -------
%   ub             (3,n)       vector in a
%
%-------------------------------------------------------------------------------