
%-------------------------------------------------------------------------------
%   Generate an orbit by propagating Keplerian elements. If t is not 
%   entered it will plot one orbit.
%-------------------------------------------------------------------------------
%   Form:
%   [r, v, t] = RVOrbGen( el, t, uSun, mu, rPlanet, tol )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   elI        Elements vector [a,i,W,w,e,M] or structure
%   t          Times from 0 to  (sec)
%   uSun       Sun vector
%   mu         Gravitational parameter
%   rPlanet    Planet radius
%   tol        Orbit propagation tolerance
%
%   -------
%   Outputs
%   -------
%   r          Position vectors for times t
%   v          Velocity vectors for times t
%   t          Times at which r and v are calculated
%
%-------------------------------------------------------------------------------