
%-------------------------------------------------------------------------------
%   Generate the sun vector in the earth-centered inertial frame. Will
%   output the distance to the sun from the earth if two output
%   arguments are given.
%-------------------------------------------------------------------------------
%   Form:
%   [u, r] = SunV1( jD, rSc )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   jD        (1,:)   Julian date
%   rSc       (3,:)   Spacecraft vector in the ECI frame (km)
%
%   -------
%   Outputs
%   -------
%   u         (3,:)   Unit sun vector
%   r         (1,:)   Distance from origin to sun (km)
%
%-------------------------------------------------------------------------------